<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/
if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}


class CWidgetsWidgetRichTextEditor extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "1",
		"name"	=> "Rich Text Editor",
		"module"	=> array(
			"name"	=> "",
			"id"	=> "",
			"type"	=> "",
		)
	);

	

	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		
		return $this->tpl->blockReplace(
			"Main" , 
			array(
				"body"	=> $widget["settings"]["lang_body"],
				"image"	=> $widget["settings"]["lang_image"] ? $this->tpl->blockReplace("Image" , $widget["settings"] , $widget ) : "",
			),
			$this->module->WidgetButtons($widget , $this->tpl),
			$widget
		);
	}
	
}


?>